#!/bin/sh
[ -e /tmp/mkntfs ] && {
    echo "mkntfs already exist!!!"
    exit 1
}

. /sbin/vigorcode.sh

wget "$PKG_SERVER"mkntfs -O /tmp/mkntfs
chmod 755 /tmp/mkntfs || echo "mkntfs change mode error"
ln -s /tmp/mkntfs /sbin/mkntfs

[ -e /tmp/libntfs.so.10.0.0 ] && {
    echo "libntfs.so.10.0.0 already exist!!!"
    exit 1
}
wget "$PKG_SERVER"libntfs.so.10.0.0 -O /tmp/libntfs.so.10.0.0
ln -s /tmp/libntfs.so.10.0.0 /usr/lib/libntfs.so.10.0.0
ln -s /usr/lib/libntfs.so.10.0.0 /usr/lib/libntfs.so.10
echo "Perform a quick format usage: mkntfs -f device [number-of-sectors]"
